import { TagBuilder } from '@vulcan-sql/core';
import * as nunjucks from 'nunjucks';
import { DBTExtensionOptions } from './model';
export declare class DBTTagBuilder extends TagBuilder<DBTExtensionOptions> {
    tags: string[];
    private models;
    onActivate(): Promise<void>;
    parse(parser: nunjucks.parser.Parser, nodes: typeof nunjucks.nodes, lexer: typeof nunjucks.lexer): nunjucks.nodes.CallExtensionAsync;
    private loadModel;
}
